LEI-LCAT(1)

NAME
lei-lcat - display local copy of messages(s)

SYNOPSIS
lei lcat [OPTIONS] MSGID_OR_URL [MSGID_OR_URL...]

lei lcat [OPTIONS] (--stdin|-)

DESCRIPTION
lcat (local cat) is a wrapper around lei-q(1) that displays local messages by Message-ID. It is able to extract Message-IDs from URLs as well as from common formats such as "<$MSGID>" and "id:$MSGID". When reading from stdin, input that isn't understood is discarded, so the caller doesn't have to bother extracting the Message-ID or link from surrounding text (e.g., a "Link: $URL" line).

OPTIONS
The following options, described in lei-q(1), are supported. One deviation from lei-q(1) is the default output format is "-f text" when writing to stdout.

--format=FORMAT
-f FORMAT
    Most commonly "text" (the default) or "reply" to display the message(s) in a format suitable for trimming and sending as an email reply.

--stdin
-   "lei lcat" implicitly reads from stdin if it is a pipe(7) or regular file. This is handy for invoking "lei lcat" from inside an $EDITOR session (assuming you use an $EDITOR which lets you pipe arbitrary lines to arbitrary commands).

--[no-]remote
--no-local
--no-external
--no-import-remote
--torsocks=auto|no|yes, --no-torsocks
--proxy=PROTOCOL://HOST[:PORT]
-o MFOLDER, --output=MFOLDER
-d STRATEGY, --dedupe=STRATEGY
-t, --threads
-s KEY, --sort=KEY
-r, --reverse
--offset=NUMBER
-g, --globoff
-a, --augment
--lock=METHOD
--alert=COMMAND
--mua=COMMAND
--no-color

CONTACT
Feedback welcome via plain-text mail to <mailto:meta@public-inbox.org>

The mail archives are hosted at <https://public-inbox.org/meta/> and <http://4uok3hntl7oi7b4uf4rtfwefqeexfzil2w6kgk2jn5z2f764irre7byd.onion/meta/>

COPYRIGHT
Copyright 2021 all contributors <mailto:meta@public-inbox.org>

License: AGPL-3.0+ <https://www.gnu.org/licenses/agpl-3.0.txt>

SEE ALSO
lei-q(1), lei-blob(1)